Update Applicant: RealPage
https://api.propexo.com/v1/applicants/realpage/:id| Interface | Method |
|---|---|
| Resident Service ODE | UpdateOccupant |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the applicant
Request
This endpoint expects an object.
The last name associated with the applicant
Possible values: <= 30 characters
The first name associated with the applicant
Possible values: <= 30 characters
The middle name associated with the applicant
Possible values: <= 30 characters
The primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
The country associated with the applicant
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the applicant
The last name associated with the applicant
Possible values: <= 30 characters
The first name associated with the applicant
Possible values: <= 30 characters
The middle name associated with the applicant
Possible values: <= 30 characters
The primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
The country associated with the applicant
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/applicants/realpage/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
}